Skip to main content
`Ctrl`+`K`

# NEPComputeFunction

Computes the function matrix \(T(\lambda)\) that has been set with `NEPSetFunction()`.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPComputeFunction(NEP nep,PetscScalar lambda,Mat A,Mat B)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- lambda - the scalar argument

## Output Parameters

- A - Function matrix

- B - optional preconditioning matrix

## Note

`NEPComputeFunction()` is typically used within nonlinear eigensolvers implementations, so most users would not generally call this routine themselves.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetFunction()`, `NEPGetFunction()`, `NEPComputeJacobian()`

## Level

developer

## Location

src/nep/interface/nepsolve.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages